Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 807025 - libreoffice-writer fails to start with version 3.4.5.2-8.fc16
Summary: libreoffice-writer fails to start with version 3.4.5.2-8.fc16
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 16
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-26 19:25 UTC by Scott Williams
Modified: 2012-03-29 03:52 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-29 03:52:02 UTC
Type: ---


Attachments (Terms of Use)

Description Scott Williams 2012-03-26 19:25:26 UTC
Description of problem:

Libreoffice writer fails to start with following error on f16:

WARNING: couldn't connect to: /tmp/keyring-IKJACy/pkcs11: No such file or directory
/usr/lib64/libreoffice/program/soffice.bin: symbol lookup error: /usr/lib64/libreoffice/program/../basis-link/program/libswdlx.so: undefined symbol: _ZN16SfxFilterMatcherD1Ev

Reinstalling version did not fix, but downgrading to 1:3.4.3.2-11.fc16 did.

Version-Release number of selected component (if applicable):

libreoffice-writer-3.4.5.2-8.fc16

How reproducible:


Every time

Steps to Reproduce:
Open any text document with libreoffice or simply call libreoffice-writer.
Splash screen appears briefly, then disappears.  

Actual results:
Libreoffice-writer does not successfully open.


Expected results:
Libreoffice-writer should succesfully open and load documents

Additional info:

Arch is x86_64

Comment 1 Caolan McNamara 2012-03-27 10:44:08 UTC
x86_64 libreoffice-writer-3.4.5.2-8.fc16.x86_64 starts here without problem, if it was a global problem I'd expect to be flooded with bug reports, so I think this is something specific to your local install.

does allowing yum upgrade to re-upgrade to libreoffice-writer-3.4.5.2-8.fc16 still result in epic-failure to launch ?

Comment 2 Scott Williams 2012-03-29 03:52:02 UTC
Upgrading again to the current version works.  Closing bug.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.